package com.uas.platform.b2b.model;

import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.util.Date;

/**
 * 平台里面，以供应商的角度来查看客户打样申请明细
 * 未送样
 * @author suntg
 *
 */
@Table(name = "purc$proofingitems")
@Where(clause = "ppi_status=401")
@Entity
public class PurchaseProofingItemTodo {

	@Id
	@Column(name = "ppi_id")
	private Long id;

	/**
	 * 来源（买家ERP采购询价明细）的ID
	 */
	@Column(name = "ppi_sourceid", updatable = false)
	private Long sourceId;

	/**
	 * 序号
	 */
	@Column(name = "ppi_number")
	private Short number;

	/**
	 * 客户打样申请
	 */
	@ManyToOne(cascade = CascadeType.ALL, optional = true)
	@JoinColumn(name = "ppi_ppid", nullable = false)
	private PurchaseProofing proofing;

	/**
	 * 币种
	 */
	@Column(name = "ppi_currency")
	private String currency;

	/**
	 * 税率
	 */
	@Column(name = "ppi_taxrate")
	private Double taxrate;

	/**
	 * 单价
	 */
	@Column(name = "ppi_price")
	private Double price;

	/**
	 * 数量
	 */
	@Column(name = "ppi_qty")
	private Double qty;

	/**
	 * 总价
	 */
	@Column(name = "ppi_amount")
	private Double amount;

	/**
	 * 供应商UU
	 */
	@Column(name = "ppi_venduu")
	private Long vendUU;

	/**
	 * 供应商联系人UU
	 */
	@Column(name = "ppi_venduseruu")
	private Long vendUserUU;

	/**
	 * 备注
	 */
	@Column(name = "ppi_remark")
	private String remark;
	
	/**
	 * 送样状态（未送样、已送样）
	 */
	@Column(name = "ppi_status")
	private Short status;
	
	/**
	 * 传输到卖家ERP的状态
	 */
	@Column(name = "ppi_sendstatus")
	private Short sendStatus;
	
	/**
	 * 打印次数
	 */
	@Column(name = "ppi_print")
	private Short print;

	/**
	 * 录入时间
	 */
	@Column(name = "ppi_date")
	private Date date;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getSourceId() {
		return sourceId;
	}

	public void setSourceId(Long sourceId) {
		this.sourceId = sourceId;
	}

	public Short getNumber() {
		return number;
	}

	public void setNumber(Short number) {
		this.number = number;
	}

	public PurchaseProofing getProofing() {
		return proofing;
	}

	public void setProofing(PurchaseProofing proofing) {
		this.proofing = proofing;
	}

	public String getCurrency() {
		return currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public Double getTaxrate() {
		return taxrate;
	}

	public void setTaxrate(Double taxrate) {
		this.taxrate = taxrate;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Double getQty() {
		return qty;
	}

	public void setQty(Double qty) {
		this.qty = qty;
	}

	public Double getAmount() {
		return amount;
	}

	public void setAmount(Double amount) {
		this.amount = amount;
	}

	public Long getVendUU() {
		return vendUU;
	}

	public void setVendUU(Long vendUU) {
		this.vendUU = vendUU;
	}

	public Long getVendUserUU() {
		return vendUserUU;
	}

	public void setVendUserUU(Long vendUserUU) {
		this.vendUserUU = vendUserUU;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Short getSendStatus() {
		return sendStatus;
	}

	public void setSendStatus(Short sendStatus) {
		this.sendStatus = sendStatus;
	}

	public Short getStatus() {
		return status;
	}

	public void setStatus(Short status) {
		this.status = status;
	}

	public Short getPrint() {
		return print;
	}

	public void setPrint(Short print) {
		this.print = print;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}
}
